﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS700D (1 yr) Aux Trig In Sens IEEE /5520+S6
DATE:                  2017-02-13 08:21:18
AUTHOR:                Fluke
REVISION:              $Revision: 18270 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       116
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 700D
#          TDS 724D, TDS 754D, TDS 784D
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         TRIG SENSITIVITY TESTS
  1.002  RSLT         =
  1.003  HEAD         -2{ AUX IN TRIG: (DC Coupled, 50 MHz)}
  1.004  TARGET
  1.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.006  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  1.007  IEEE2        ACQ:MODE AVE;NUMAV 16;STATE ON
  1.008  IEEE2        HOR:MAI:SCA 25.0E-9
  1.009  IEEE2        HOR:MOD MAIN
  1.010  IEEE2        TRIG:MAI:MOD NORM;TYP EDGE
  1.011  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  1.012  IEEE2        TRIG:MAI:EDGE:SLO RISE
  1.013  IEEE2        TRIG:MAI SETL
  1.014  IEEE2        MEASU:METH MINM
  1.015  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON

  1.016  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  1.017  PIC          55_4ck_5.jpg
  1.018  DISP         The next routine operator intervention occurs
  1.018  DISP         in approximately 1 minutes ...
  1.019  IEEE2        TRIG:MAI SETL
# A mistake is found in TDS 724D, TDS 754D performance test of service manual.
# It is required to set the input signal to 250 mV (2.5 div) for Aux Trig In
# test. But the actual specification of auxiliary channels of them is 400 mV
# from DC to 50 MHz.
#
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 250 mV for TDS 784D or 400 mV for TDS 724D and TDS 754D
# (100 mV/div, 2.5 div or 4 div).

  1.020  IF           @Bandwidth == 500E+6
  1.021  MATH         RefLev = 400
  1.022  ELSE
  1.023  MATH         RefLev = 250
  1.024  ENDIF

  1.025  MATH         MEM = RefLev; MEM1 = MEM

  1.026  DO
  1.027  MATH         MEM = MEM1 + (RefLev - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.028  IF           MEM > 5500 || MEM < 5
  1.029  MATH         MEM = RefLev
  1.030  ENDIF

  1.031  5520         mVpp                         50MH           LS S6 S  L

  1.032  DO
  1.033  IEEE2        [D500]TRIG:MAI SETL
  1.034  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  1.035  UNTIL        @Triggered

  1.036  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
  1.037  MATH         MEM = MEM / 1E-3
  1.038  UNTIL        (MEM >= (RefLev - 2)) && (MEM <= (RefLev + 2))

  1.039  IEEE2        TRIG:MAI:EDGE:SOU AUX
  1.040  MATH         @AmplVpp = MEM1 * 1E-3
  1.041  MATH         @StepVal = (RefLev / 100) * 1E-3
  1.042  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  1.043  MATH         TrigLevel = FMT(RefLev, "%.0f")
  1.044  MEM2         = Rising Slope, Limit: [V TrigLevel] mV @ 50 MHz
  1.045  EVAL   -e @TriggerStable : [MEM2]

  2.001  MATH         MEM = @AmplVpp / 1E-3
  2.002  5520         mVpp                         50MH           LS S6 S  L
  2.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
  2.004  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
  2.005  MEM2         = Falling Slope, Limit: [V TrigLevel] mV @ 50 MHz
  2.006  EVAL   -e @TriggerStable : [MEM2]

  3.001  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  3.002  HEAD         -2
  3.003  5520         *                                                 S

  3.004  END
